Subject: Re: [PATCH] Allow shell scripts to run with non-Bash /bin/sh

From: Junio C Hamano <[email-masked]>
Date: Sun, 23 Sep 2007 12:20:43 -0700

David Kastrup <[email-masked]> writes:

> Independent of that: would you mind a patch replacing that idiom with
>
> while : do case xxx) break; esac
>
> instead?  I find breaking out of the condition rather than the body
> awkward,...

I do not have any problem with your approach at all.

While I personally do not think it improves readability much, I
do not think it hurts either.  And it is a valid workaround for
FBSD issue, so why not.

But on one condition, however.  If it is done correctly with
double semi-colons before "esac" ;-)

Thanks.